RDC Batches
An RDC Batch or collection of RDC Batches are used in conjunction with batches
Notes ::
- By passing in the
content-typeofapplication/helpin theacceptheader or using the {format} parameterhelpfrom https://demo.fellowshiponeapi.com/giving/v1/rdcbatches, the API will return an html representation of the help documents for this resource (authentication not required)
Authentication
This method requires Authentication
Resource Structure
This resource conforms to the following XSD
Methods
RDC Batches ::
- list [GET] https://demo.fellowshiponeapi.com/giving/v1/batches/{batchID}/rdcbatches
- show [GET] https://demo.fellowshiponeapi.com/giving/v1/rdcbatches/{id}
- new [GET] https://demo.fellowshiponeapi.com/giving/v1/rdcbatches/New
- edit [GET] https://demo.fellowshiponeapi.com/giving/v1/rdcbatches/{id}/Edit
- create [POST] https://demo.fellowshiponeapi.com/giving/v1/rdcbatches
- update [PUT] [POST(Low REST)] https://demo.fellowshiponeapi.com/giving/v1/rdcbatches/{id}
Method: list [GET]
The list method will return an RDC batch tied to a batch. Only one RDC batch can exist per batch.
Notes ::
- By passing in the
content-typeofapplication/xsdin theacceptheader or using the {format} parameterxsdthe API will return anxsdfor a single version of this resource (authentication not required)
Content-types ::
- application/json
- application/xml
- application/xsd
- application/help
Format ::
- json
- xml
- xsd
- help
Parameters ::
- {format}
- [GET] https://demo.fellowshiponeapi.com/giving/v1/batches/{batchID}/rdcbatches.{format}
- [GET] https://demo.fellowshiponeapi.com/giving/v1/batches/{batchID}/rdcbatches?format={format}
- [Header] Accept : {Content-type}
Sample Response ::
Given: [GET] https://demo.fellowshiponeapi.com/giving/v1/batches/1519122/rdcbatches
Response:
HTTP/1.1 200 OK
Cache-Control: private
Content-Type: application/xml; charset=utf-8
Content-Location: https://demo.fellowshiponeapi.com/giving/v1/batches/1519122/rdcbatches
Server: Microsoft-IIS/7.0
X-AspNetMvc-Version: 1.0
X-AspNet-Version: 2.0.50727
X-Powered-By: ASP.NET
Date: Tue, 13 Apr 2010 16:32:44 GMT
Content-Length: 19465
<?xml version="1.0" encoding="utf-8"?>
<rdcBatch id="27" uri="" ppMerchantAccountID="76" locationID="1">
<parentBatch id="1519122" uri="https://demo.fellowshiponeapi.com/giving/v1/batches/1519122">
<name>RDCBatch Create XML Test 882132093</name>
</parentBatch>
<name>2043452326</name>
<description></description>
<batchCreatedDate>2010-05-20T14:29:04</batchCreatedDate>
<currentStatusDateTime>0001-01-01T00:00:00</currentStatusDateTime>
<itemCount>1</itemCount>
<batchAmount>2043452326.0000</batchAmount>
<terminalNumber></terminalNumber>
<createdDate>2010-05-03T11:14:10</createdDate>
<createdByPerson id="2229409" uri="{{CONSUMER_ROOT_DOMAIN}}/people/2229409" />
<lastUpdatedDate>2010-05-27T11:41:23</lastUpdatedDate>
<lastUpdatedByPerson id="2229409" uri="{{CONSUMER_ROOT_DOMAIN}}/people/2229409" />
</rdcBatch>
Given: [GET] https://demo.fellowshiponeapi.com/giving/v1/batches/1519122/rdcbatches.json
Response:
HTTP/1.1 200 OK
Cache-Control: private
Content-Type: application/xml; charset=utf-8
Content-Location: https://demo.fellowshiponeapi.com/giving/v1/batches/1519122/rdcbatches.json
Server: Microsoft-IIS/7.0
X-AspNetMvc-Version: 1.0
X-AspNet-Version: 2.0.50727
X-Powered-By: ASP.NET
Date: Tue, 13 Apr 2010 16:32:44 GMT
Content-Length: 19465
{
"rdcBatch":{
"@id":"27",
"@uri":"",
"@ppMerchantAccountID":"76",
"@locationID":"1",
"parentBatch":{
"@id":"1519122",
"@uri":"https://demo.fellowshiponeapi.com/giving/v1/batches/1519122",
"name":"RDCBatch Create XML Test 882132093"
},
"name":"2043452326",
"description":null,
"batchCreatedDate":"2010-05-20T14:29:04",
"currentStatusDateTime":"0001-01-01T00:00:00",
"itemCount":"1",
"batchAmount":"2043452326.0000",
"terminalNumber":null,
"createdDate":"2010-05-20T14:29:04",
"createdByPerson":{
"@id":"2229409",
"@uri":"{{CONSUMER_ROOT_DOMAIN}}/people/2229409"
},
"lastUpdatedDate":"2010-05-20T14:29:04",
"lastUpdatedByPerson":{
"@id":"2229409",
"@uri":"{{CONSUMER_ROOT_DOMAIN}}/people/2229409"
}
}
}
Method: show [GET]
The show method will return a single rdcBatch for a given id.
Notes ::
- By passing in the
content-typeofapplication/xsdin theacceptheader or using the {format} parameterxsdthe API will return anxsdfor a single version of this resource (authentication not required)
Content-types ::
- application/json
- application/xml
- application/xsd
- application/help
Format ::
- json
- xml
- xsd
- help
Parameters ::
- {format}
- [GET] https://demo.fellowshiponeapi.com/giving/v1/rdcbatches/{id}.{format}
- [GET] https://demo.fellowshiponeapi.com/giving/v1/rdcbatches/{id}?format={format}
- [Header] Accept : {Content-type}
- {id}
- [GET] https://demo.fellowshiponeapi.com/giving/v1/rdcbatches/{id}
Sample Response ::
Given: [GET] https://demo.fellowshiponeapi.com/giving/v1/rdcbatches/27
Response:
HTTP/1.1 200 OK
Cache-Control: private
Content-Type: application/xml; charset=utf-8
Content-Location: https://demo.fellowshiponeapi.com/giving/v1/rdcBatches/27
Server: Microsoft-IIS/7.0
X-AspNetMvc-Version: 1.0
X-AspNet-Version: 2.0.50727
X-Powered-By: ASP.NET
Date: Tue, 13 Apr 2010 18:35:04 GMT
Content-Length: 537
<?xml version="1.0" encoding="utf-8"?>
<rdcBatch id="27" uri="" ppMerchantAccountID="76" locationID="1">
<parentBatch id="1519122" uri="https://demo.fellowshiponeapi.com/giving/v1/batches/1519122">
<name>RDCBatch Create XML Test 882132093</name>
</parentBatch>
<name>2043452326</name>
<description></description>
<batchCreatedDate>2010-05-20T14:29:04</batchCreatedDate>
<currentStatusDateTime>0001-01-01T00:00:00</currentStatusDateTime>
<itemCount>1</itemCount>
<batchAmount>2043452326.0000</batchAmount>
<terminalNumber></terminalNumber>
<createdDate>2010-05-03T11:14:10</createdDate>
<createdByPerson id="2229409" uri="{{CONSUMER_ROOT_DOMAIN}}/people/2229409" />
<lastUpdatedDate>2010-05-27T11:41:23</lastUpdatedDate>
<lastUpdatedByPerson id="2229409" uri="{{CONSUMER_ROOT_DOMAIN}}/people/2229409" />
</rdcBatch>
Given: [GET] https://demo.fellowshiponeapi.com/giving/v1/rdcbatches/27.json
Response:
HTTP/1.1 200 OK
Cache-Control: private
Content-Type: application/xml; charset=utf-8
Content-Location: https://demo.fellowshiponeapi.com/giving/v1/batches/1519122/rdcbatches/27.json
Server: Microsoft-IIS/7.0
X-AspNetMvc-Version: 1.0
X-AspNet-Version: 2.0.50727
X-Powered-By: ASP.NET
Date: Tue, 13 Apr 2010 16:32:44 GMT
Content-Length: 19465
{
"rdcBatch":{
"@id":"27",
"@uri":"",
"@ppMerchantAccountID":"76",
"@locationID":"1",
"parentBatch":{
"@id":"1519122",
"@uri":"https://demo.fellowshiponeapi.com/giving/v1/batches/1519122",
"name":"RDCBatch Create XML Test 882132093"
},
"name":"2043452326",
"description":null,
"batchCreatedDate":"2010-05-20T14:29:04",
"currentStatusDateTime":"0001-01-01T00:00:00",
"itemCount":"1",
"batchAmount":"2043452326.0000",
"createdDate":"2010-05-20T14:29:04",
"createdByPerson":{
"@id":"2229409",
"@uri":"{{CONSUMER_ROOT_DOMAIN}}/people/2229409"
},
"lastUpdatedDate":"2010-05-20T14:29:04",
"lastUpdatedByPerson":{
"@id":"2229409",
"@uri":"{{CONSUMER_ROOT_DOMAIN}}/people/2229409"
}
}
}
Method: edit [GET]
The edit method will return a single rdcBatch for a given id. The purpose of the edit method is to retrieve a resource in its most recent condition with its latest values.
Content-types ::
- application/json
- application/xml
- application/help
Format ::
- json
- xml
- help
Parameters ::
- {format}
- [GET] https://demo.fellowshiponeapi.com/giving/v1/rdcbatches/{id}/edit.{format}
- [GET] https://demo.fellowshiponeapi.com/giving/v1/rdcbatches/{id}/edit?format={format}
- [Header] Accept : {Content-type}
- {id}
- [GET] https://demo.fellowshiponeapi.com/giving/v1/rcbatches/{id}/edit
Sample Response ::
Given: [GET] https://demo.fellowshiponeapi.com/giving/v1/rdcbatches/27/edit
Response:
HTTP/1.1 200 OK
Cache-Control: private
Content-Type: application/xml; charset=utf-8
Server: Microsoft-IIS/7.0
X-AspNetMvc-Version: 1.0
X-AspNet-Version: 2.0.50727
X-Powered-By: ASP.NET
Date: Tue, 13 Apr 2010 18:40:41 GMT
Content-Length: 537
<?xml version="1.0" encoding="utf-8"?>
<rdcBatch id="27" uri="https://demo.fellowshiponeapi.com/giving/v1/rdcbatches/27" ppMerchantAccountID="76" locationID="1">
<parentBatch id="1519122" uri="https://demo.fellowshiponeapi.com/giving/v1/batches/1519122">
<name>RDCBatch Create XML Test 882132093</name>
</parentBatch>
<name>2043452326</name>
<description></description>
<batchCreatedDate>2010-05-20T14:29:04</batchCreatedDate>
<currentStatusDateTime>0001-01-01T00:00:00</currentStatusDateTime>
<itemCount>1</itemCount>
<batchAmount>2043452326.0000</batchAmount>
<terminalNumber></terminalNumber>
<createdDate>2010-05-03T11:14:10</createdDate>
<createdByPerson id="2229409" uri="{{CONSUMER_ROOT_DOMAIN}}/people/2229409" />
<lastUpdatedDate>2010-05-27T11:41:23</lastUpdatedDate>
<lastUpdatedByPerson id="2229409" uri="{{CONSUMER_ROOT_DOMAIN}}/people/2229409" />
</rdcBatch>
Given: [GET] https://demo.fellowshiponeapi.com/giving/v1/rdcbatches/27/edit?json
Response:
HTTP/1.1 200 OK
Cache-Control: private
Content-Type: application/json; charset=utf-8
Server: Microsoft-IIS/7.0
X-AspNetMvc-Version: 1.0
X-AspNet-Version: 2.0.50727
X-Powered-By: ASP.NET
Date: Tue, 13 Apr 2010 18:44:59 GMT
Content-Length: 411
{
"rdcBatch":{
"@id":"27",
"@uri":"",
"@ppMerchantAccountID":"76",
"@locationID":"1",
"parentBatch":{
"@id":"1519122",
"@uri":"https://demo.fellowshiponeapi.com/giving/v1/batches/1519122",
"name":"RDCBatch Create XML Test 882132093"
},
"name":"2043452326",
"description":null,
"batchCreatedDate":"2010-05-20T14:29:04",
"currentStatusDateTime":"0001-01-01T00:00:00",
"itemCount":"1",
"batchAmount":"2043452326.0000",
"terminalNumber":null,
"createdDate":"2010-05-20T14:29:04",
"createdByPerson":{
"@id":"2229409",
"@uri":"{{CONSUMER_ROOT_DOMAIN}}/people/2229409"
},
"lastUpdatedDate":"2010-05-20T14:29:04",
"lastUpdatedByPerson":{
"@id":"2229409",
"@uri":"{{CONSUMER_ROOT_DOMAIN}}/people/2229409"
}
}
}
Method: new [GET]
The new method will return a single rdcBatch. The purpose of the new method is to retrieve an empty resource with the proper structure.
Content-types ::
- application/json
- application/xml
- application/help
Format ::
- json
- xml
- help
Parameters ::
- {format}
- [GET] https://demo.fellowshiponeapi.com/giving/v1/rdcbatches/new.{format}
- [GET] https://demo.fellowshiponeapi.com/giving/v1/rdcbatches/new?format={format}
- [Header] Accept : {Content-type}
Sample Response ::
Given: [GET] https://demo.fellowshiponeapi.com/giving/v1/rdcbatches/new
Response:
HTTP/1.1 200 OK
Cache-Control: private
Content-Type: application/xml; charset=utf-8
Server: Microsoft-IIS/7.0
X-AspNetMvc-Version: 1.0
X-AspNet-Version: 2.0.50727
X-Powered-By: ASP.NET
Date: Tue, 13 Apr 2010 18:47:37 GMT
Content-Length: 354
<?xml version="1.0" encoding="utf-8"?>
<rdcBatch id="" uri="" ppMerchantAccountID="" locationID="">
<parentBatch id="" uri="">
<name></name>
</parentBatch>
<name></name>
<description></description>
<batchCreatedDate></batchCreatedDate>
<currentStatusDateTime></currentStatusDateTime>
<itemCount></itemCount>
<batchAmount></batchAmount>
<terminalNumber></terminalNumber>
<createdDate></createdDate>
<createdByPerson id="" uri="" />
<lastUpdatedDate></lastUpdatedDate>
<lastUpdatedByPerson id="" uri="" />
</rdcBatch>
Given: [GET] https://demo.fellowshiponeapi.com/giving/v1/rdcbtches/new.json
Response:
HTTP/1.1 200 OK
Cache-Control: private
Content-Type: application/json; charset=utf-8
Server: Microsoft-IIS/7.0
X-AspNetMvc-Version: 1.0
X-AspNet-Version: 2.0.50727
X-Powered-By: ASP.NET
Date: Tue, 13 Apr 2010 18:48:28 GMT
Content-Length: 236
{
"rdcBatch":{
"@id":"",
"@uri":"",
"@ppMerchantAccountID":"",
"@locationID":"",
"parentBatch":{
"@id":"",
"@uri":"",
"name":null
},
"name":null,
"description":null,
"batchCreatedDate":null,
"currentStatusDateTime":null,
"itemCount":null,
"batchAmount":null,
"terminalNumber":null,
"createdDate":null,
"createdByPerson":{
"@id":"",
"@uri":""
},
"lastUpdatedDate":null,
"lastUpdatedByPerson":{
"@id":"",
"@uri":""
}
}
}
Method: create [POST]
The create method will create a single RDCBatch.
Notes ::
- This method will return a 201 - Created if successfully created
Content-types ::
- application/json
- application/xml
Format ::
- json
- xml
Parameters ::
- {format}
- [POST] https://demo.fellowshiponeapi.com/giving/v1/rdcbatches.{format}
- [POST] https://demo.fellowshiponeapi.com/giving/v1/rdcbatches?format={format}
- [Header] Accept : {Content-type}
Required Fields ::
- name
- parentBatch/@id
- batchCreatedDate
- itemCount
- batchAmount
Sample Response ::
Given: [POST] https://demo.fellowshiponeapi.com/giving/v1/rdcbatches
Request body:
<?xml version="1.0" encoding="utf-8"?>
<rdcBatch id="" uri="" ppMerchantAccountID="76" locationID="1">
<parentBatch id="1519122" uri="https://demo.fellowshiponeapi.com/giving/v1/batches/1519122">
<name>RDCBatch Create XML Test 882132093</name>
</parentBatch>
<name>2043452326</name>
<description></description>
<batchCreatedDate>2010-05-20T14:29:04</batchCreatedDate>
<currentStatusDateTime>0001-01-01T00:00:00</currentStatusDateTime>
<itemCount>1</itemCount>
<batchAmount>2043452326.0000</batchAmount>
<terminalNumber></terminalNumber>
<createdDate></createdDate>
<createdByPerson id="" uri="" />
<lastUpdatedDate></lastUpdatedDate>
<lastUpdatedByPerson id="" uri="" />
</rdcBatch>
Response:
HTTP/1.1 201 Created
Cache-Control: private
Content-Type: application/xml; charset=utf-8
Location: https://demo.fellowshiponeapi.com/giving/v1/rdcbatches/27
Server: Microsoft-IIS/7.0
X-AspNetMvc-Version: 1.0
X-AspNet-Version: 2.0.50727
X-Powered-By: ASP.NET
Date: Tue, 13 Apr 2010 19:00:52 GMT
Content-Length: 543
<?xml version="1.0" encoding="utf-8"?>
<rdcBatch id="27" uri="https://demo.fellowshiponeapi.com/giving/v1/rdcbatches/27" ppMerchantAccountID="76" locationID="1">
<parentBatch id="1519122" uri="https://demo.fellowshiponeapi.com/giving/v1/batches/1519122">
<name>RDCBatch Create XML Test 882132093</name>
</parentBatch>
<name>2043452326</name>
<description></description>
<batchCreatedDate>2010-05-20T14:29:04</batchCreatedDate>
<currentStatusDateTime>0001-01-01T00:00:00</currentStatusDateTime>
<itemCount>1</itemCount>
<batchAmount>2043452326.0000</batchAmount>
<terminalNumber></terminalNumber>
<createdDate>2010-05-03T11:14:10</createdDate>
<createdByPerson id="2229409" uri="{{CONSUMER_ROOT_DOMAIN}}/people/2229409" />
<lastUpdatedDate></lastUpdatedDate>
<lastUpdatedByPerson id="" uri="" />
</rdcBatch>
Given: [POST] https://demo.fellowshiponeapi.com/giving/v1/rdcbatches.json
Request body:
{
"rdcBatch":{
"@id":"",
"@uri":"",
"@ppMerchantAccountID":"76",
"@locationID":"1",
"parentBatch":{
"@id":"1519122",
"@uri":"https://demo.fellowshiponeapi.com/giving/v1/batches/1519122",
"name":"RDCBatch Create XML Test 882132093"
},
"name":"2043452326",
"description":null,
"batchCreatedDate":"2010-05-20T14:29:04",
"currentStatusDateTime":"0001-01-01T00:00:00",
"itemCount":"1",
"batchAmount":"2043452326.0000",
"terminalNumber":null,
"createdDate":null,
"createdByPerson":{
"@id":"",
"@uri":""
},
"lastUpdatedDate":null,
"lastUpdatedByPerson":{
"@id":"",
"@uri":""
}
}
}
Response:
HTTP/1.1 201 Created
Cache-Control: private
Content-Type: application/json; charset=utf-8
Location: https://demo.fellowshiponeapi.com/giving/v1/rdcbatches.json/27
Server: Microsoft-IIS/7.0
X-AspNetMvc-Version: 1.0
X-AspNet-Version: 2.0.50727
X-Powered-By: ASP.NET
Date: Tue, 13 Apr 2010 19:07:04 GMT
Content-Length: 417
{
"rdcBatch":{
"@id":"27",
"@uri":"https://demo.fellowshiponeapi.com/giving/v1/rdcbatches/27",
"@ppMerchantAccountID":"76",
"@locationID":"1",
"parentBatch":{
"@id":"1519122",
"@uri":"https://demo.fellowshiponeapi.com/giving/v1/batches/1519122",
"name":"RDCBatch Create XML Test 882132093"
},
"name":"2043452326",
"description":null,
"batchCreatedDate":"2010-05-20T14:29:04",
"currentStatusDateTime":"0001-01-01T00:00:00",
"itemCount":"1",
"batchAmount":"2043452326.0000",
"terminalNumber":null,
"createdDate":"2010-05-20T14:29:04",
"createdByPerson":{
"@id":"2229409",
"@uri":"{{CONSUMER_ROOT_DOMAIN}}/people/2229409"
},
"lastUpdatedDate":null,
"lastUpdatedByPerson":{
"@id":"",
"@uri":""
}
}
}
Method: update [PUT] [POST (Low REST)]
The update method will update a single rdcBatch.
Content-types ::
- application/json
- application/xml
Format ::
- json
- xml
Parameters ::
- {format}
- [PUT] https://demo.fellowshiponeapi.com/giving/v1/rdcbatches/{id}.{format}
- [PUT] https://demo.fellowshiponeapi.com/giving/v1/rdcbatches/{id}?format={format}
- [Header] Accept : {Content-type}
- {id}
- [PUT] https://demo.fellowshiponeapi.com/giving/v1/rdcbatches/{id}
Required Fields ::
- rdcBatch/@id
- name
- parentBatch/@id
- batchCreatedDate
- itemCount
- batchAmount
Sample Response ::
Given: [PUT] https://demo.fellowshiponeapi.com/giving/v1/rdcbatches/27
Request body:
<?xml version="1.0" encoding="utf-8"?>
<rdcBatch id="27" uri="https://demo.fellowshiponeapi.com/giving/v1/rdcbatches/27" ppMerchantAccountID="76" locationID="1">
<parentBatch id="1519122" uri="https://demo.fellowshiponeapi.com/giving/v1/batches/1519122">
<name>RDCBatch Create XML Test 882132093</name>
</parentBatch>
<name>2043452326</name>
<description></description>
<batchCreatedDate>2010-05-20T14:29:04</batchCreatedDate>
<currentStatusDateTime>0001-01-01T00:00:00</currentStatusDateTime>
<itemCount>1</itemCount>
<batchAmount>2043452326.0000</batchAmount>
<terminalNumber></terminalNumber>
<createdDate></createdDate>
<createdDate></createdDate>
<createdByPerson id="" uri="" />
<lastUpdatedDate></lastUpdatedDate>
<lastUpdatedByPerson id="" uri="" />
</rdcBatch>
Response:
HTTP/1.1 200 OK
Cache-Control: private
Content-Type: application/xml; charset=utf-8
Content-Location: https://demo.fellowshiponeapi.com/giving/v1/rdcbatches/27
Server: Microsoft-IIS/7.0
X-AspNetMvc-Version: 1.0
X-AspNet-Version: 2.0.50727
X-Powered-By: ASP.NET
Date: Tue, 13 Apr 2010 19:26:32 GMT
Content-Length: 544
<?xml version="1.0" encoding="utf-8"?>
<rdcBatch id="27" uri="https://demo.fellowshiponeapi.com/giving/v1/rdcbatches/27" ppMerchantAccountID="76" locationID="1">
<parentBatch id="1519122" uri="https://demo.fellowshiponeapi.com/giving/v1/batches/1519122">
<name>RDCBatch Create XML Test 882132093</name>
</parentBatch>
<name>2043452326</name>
<description></description>
<batchCreatedDate>2010-05-20T14:29:04</batchCreatedDate>
<currentStatusDateTime>0001-01-01T00:00:00</currentStatusDateTime>
<itemCount>1</itemCount>
<batchAmount>2043452326.0000</batchAmount>
<terminalNumber></terminalNumber>
<createdDate>2010-05-03T11:14:10</createdDate>
<createdByPerson id="2229409" uri="{{CONSUMER_ROOT_DOMAIN}}/people/2229409" />
<lastUpdatedDate>2010-05-27T11:41:23</lastUpdatedDate>
<lastUpdatedByPerson id="2229409" uri="{{CONSUMER_ROOT_DOMAIN}}/people/2229409" />
</rdcBatch>
Given: [PUT] https://demo.fellowshiponeapi.com/giving/v1/rdcbatches/27.json
Request body:
{
"rdcBatch":{
"@id":"27",
"@uri":"https://demo.fellowshiponeapi.com/giving/v1/rdcbatches/27",
"@ppMerchantAccountID":"76",
"@locationID":"1",
"parentBatch":{
"@id":"1519122",
"@uri":"https://demo.fellowshiponeapi.com/giving/v1/batches/1519122",
"name":"RDCBatch Create XML Test 882132093"
},
"name":"2043452326",
"description":null,
"batchCreatedDate":"2010-05-20T14:29:04",
"currentStatusDateTime":"0001-01-01T00:00:00",
"itemCount":"1",
"batchAmount":"2043452326.0000",
"terminalNumber":null,
"createdDate":null,
"createdByPerson":{
"@id":"",
"@uri":""
},
"lastUpdatedDate":null,
"lastUpdatedByPerson":{
"@id":"",
"@uri":""
}
}
}
Response:
HTTP/1.1 200 OK
Cache-Control: private
Content-Type: application/json; charset=utf-8
Content-Location: https://demo.fellowshiponeapi.com/giving/v1/rdcbatches/27.json
Server: Microsoft-IIS/7.0
X-AspNetMvc-Version: 1.0
X-AspNet-Version: 2.0.50727
X-Powered-By: ASP.NET
Date: Tue, 13 Apr 2010 19:18:09 GMT
Content-Length: 416
{
"rdcBatch":{
"@id":"27",
"@uri":"https://demo.fellowshiponeapi.com/giving/v1/rdcbatches/27",
"@ppMerchantAccountID":"76",
"@locationID":"1",
"parentBatch":{
"@id":"1519122",
"@uri":"https://demo.fellowshiponeapi.com/giving/v1/batches/1519122",
"name":"RDCBatch Create XML Test 882132093"
},
"name":"2043452326",
"description":null,
"batchCreatedDate":"2010-05-20T14:29:04",
"currentStatusDateTime":"0001-01-01T00:00:00",
"itemCount":"1",
"batchAmount":"2043452326.0000",
"terminalNumber":null,
"createdDate":"2010-05-20T14:29:04",
"createdByPerson":{
"@id":"2229409",
"@uri":"{{CONSUMER_ROOT_DOMAIN}}/people/2229409"
},
"lastUpdatedDate":"2010-05-20T14:29:04",
"lastUpdatedByPerson":{
"@id":"2229409",
"@uri":"{{CONSUMER_ROOT_DOMAIN}}/people/2229409"
}
}
}
